package com.example.cameraxtestappjava.segpass.camera.dialogs;

import android.app.Dialog;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AlertDialog;
import androidx.fragment.app.DialogFragment;

import com.example.cameraxtestappjava.segpass.camera.interfaces.SegpassDialogListener;

public class SegpassConfirmationDialogFragment extends DialogFragment {

    private final SegpassDialogListener listener;
    private final String message;

    public SegpassConfirmationDialogFragment(String message, SegpassDialogListener listener) {
        this.listener = listener;
        this.message = message;
    }

    @NonNull
    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        return new AlertDialog.Builder(requireActivity())
                .setMessage(message)
                .setPositiveButton(android.R.string.ok, (dialog, which) -> {
                    if (listener != null) {
                        listener.onOkClicked();
                    }
                })
                .setNegativeButton(android.R.string.cancel, (dialog, which) -> {
                    if (listener != null) {
                        listener.onCancelClicked();
                    }
                    dismiss(); // Dismiss the dialog
                })
                .create();
    }
}