package com.example.cameraxtestappjava.segpass.camera.dialogs;

import android.app.Activity;
import android.app.Dialog;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AlertDialog;
import androidx.fragment.app.DialogFragment;

import com.example.cameraxtestappjava.segpass.camera.utils.SegpassErrorDialogListener;

public class SegpassErrorDialogFragment extends DialogFragment {

    private final String message;
    private final SegpassErrorDialogListener listener;

    public SegpassErrorDialogFragment(String message, SegpassErrorDialogListener listener) {
        this.message = message;
        this.listener = listener;
    }

    @NonNull
    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        final Activity activity = getActivity();
        assert activity != null;
        return new AlertDialog.Builder(activity)
                .setMessage(message)
                .setPositiveButton(android.R.string.ok, (dialogInterface, i) -> {
                    if (listener != null) {
                        listener.onErrorOkClick(); // Call listener if available
                    }
                    dismiss(); // Dismiss the dialog
                })
                .create();
    }
}
