package com.example.cameraxtestappjava.segpass.camera.utils;

import android.media.Image;
import android.util.Base64;

import java.nio.ByteBuffer;

public class ImageSaverUtil implements Runnable {

    /**
     * The JPEG image
     */
    private final Image mImage;
    private final ImageEncodingCallback mCallback;

    public ImageSaverUtil(Image image, ImageEncodingCallback callback) {
        mImage = image;
        mCallback = callback;
    }

    @Override
    public void run() {
        try {
            ByteBuffer buffer = mImage.getPlanes()[0].getBuffer();
            byte[] bytes = new byte[buffer.capacity()];
            buffer.get(bytes);
            mCallback.onImageEncodeSuccess(Base64.encodeToString(bytes, Base64.NO_WRAP));
        } catch (Exception e) {
            e.printStackTrace();
            mCallback.onImageEncodeFail(e.getMessage());
        }
    }
}
